Get a pasteable Slack app manifest
curl --request GET \
--url https://api.dairo.app/v1/slack/apps/manifest-template \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dairo.app/v1/slack/apps/manifest-template"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dairo.app/v1/slack/apps/manifest-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifest": {}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Slack
Get a pasteable Slack app manifest
Get a pasteable Slack app manifest
GET
/
v1
/
slack
/
apps
/
manifest-template
Get a pasteable Slack app manifest
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Query Parameters
Display name for the app/bot (default 'Dairo Agent').
'mentions' (@mentions + DMs only) or 'ambient' (also subscribes to channel message events). Default 'mentions'.
Available options:
mentions, ambient Response
Success
A pasteable Slack app manifest for the self-setup flow.
The Slack app manifest JSON to paste into Slack's 'Create app from manifest' flow.